import { onGuards, BeforeEachGuardsReturn, NavigateNamesType, RouterLocation } from './types';

export declare class RouterGuardsEvent {
    event: {
        afterEach: Array<onGuards>;
        beforeEach: Array<onGuards<BeforeEachGuardsReturn>>;
    };
    beforeEach(callback: onGuards<BeforeEachGuardsReturn>): () => void;
    afterEach(callback: onGuards): () => void;
}
export declare class RouterGuards extends RouterGuardsEvent {
    currentRouterPath: import('vue').Ref<string | null>;
    pending: import('vue').Ref<boolean>;
    isReady: import('vue').Ref<boolean>;
    constructor();
    fixRouterPath(to: string): void;
    navigate(to: RouterLocation, navigateName?: NavigateNamesType): Promise<void>;
    navigateTemp(to: RouterLocation, callback?: () => void): Promise<void>;
    ready(to: string): Promise<void>;
}
